Page MenuHomeFreeBSD

Drop Ruby 1.9 support
ClosedPublic

Authored by rene on Feb 23 2015, 10:22 PM.

Details

Reviewers
swills
sunpoet
Group Reviewers
Ruby
Summary

Ruby 1.9 expired on 2015-02-23, drop support from the Ports Tree:

  • prune Ruby 1.9 from Mk/bsd.ruby.mk
  • remove lang/ruby19
Test Plan

make index
Maybe a (mini) exp-run?

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

rene retitled this revision from to Drop Ruby 1.9 support.
rene updated this object.
rene edited the test plan for this revision. (Show Details)
rene added a reviewer: Ruby.
rene set the repository for this revision to rP FreeBSD ports repository.
swills added a reviewer: swills.
swills added a subscriber: swills.

Yep, that was my plan, don't forget to kill lang/ruby19 (remove from lang/Makefile too).

This revision is now accepted and ready to land.Feb 24 2015, 3:01 PM

Oh, and an UPDATING entry would be good.

Also forgot to say, exp-run not needed. 2.0 is default.

FYI, there are 2 more lines can be removed.

Mk/bsd.ruby.mk
212–213

This can be removed.

343–344

This can be removed.

rene edited edge metadata.

Incorporated sunpoets suggestions.

This revision now requires review to proceed.Feb 24 2015, 6:54 PM
swills requested changes to this revision.Feb 24 2015, 7:17 PM
swills edited edge metadata.

Please remove lang/ruby19 and edit lang/Makefile and UPDATING while doing this.

This revision now requires changes to proceed.Feb 24 2015, 7:17 PM
rene edited edge metadata.

Almost full diff, without lang/ruby19 diff for size reasons.

See inline commands.

MOVED
7427

s/ends/ended/

UPDATING
13

Might be good to tell folks who have DEFAULT_VERSIONS=ruby=1.9 in make.conf to remove it or change it to something else.

rene edited edge metadata.

Tweak MOVED and UPDATING

swills edited edge metadata.

Looks good

This revision is now accepted and ready to land.Feb 24 2015, 7:49 PM
sunpoet edited edge metadata.

Looks good to me. Thanks.

UPDATING
13

Personally I would remove "Ruby" here.